---
apiVersion: argoproj.io/v1alpha1
kind: ApplicationSet
metadata:
  name: anuradha
  namespace: argocd
  labels:
    deployment: kustomize
    name: anuradha
    tier: tenant
  annotations:
    argocd.argoproj.io/sync-wave: "0"
spec:
  goTemplate: true
  syncPolicy:
    preserveResourcesOnDeletion: true
  generators:
  - git:
      repoURL: git@github.com:MavenWave-DevOps/devops-test.git
      revision: HEAD
      directories:
      - path: composition-local/*
  template:
    metadata:
      name: 'anuradha-{{.path.basename}}-infra'
    spec:
      project: cluster-addons
      source:
        repoURL: git@github.com:MavenWave-DevOps/devops-test.git
        path: '{{.path.path}}'
        targetRevision: HEAD
      destination:
        server: https://kubernetes.default.svc
        namespace: anuradha
      syncPolicy:
        automated:
          prune: true
          selfHeal: true
          allowEmpty: true